Kerbal Space Program - Bug #7062

UVs of top and bottom edge of flag models at KSC launchpad are wrong.
02/22/2016 12:22 AM - OnlyForF1
Description

This is a pretty trivial issue with an equally trivial fix.

The flag at the launchpad of KSC displays the bottom row of pixels of the flag texture on the top edge of the flag model and the top
row of pixels from the flag texture on the bottom edge of the model.

This is obviously only noticeable for flags with non uniform edge colours. The resulting effect causes some very nasty aliasing on the
flag edges.

| first noticed this bug using the following flag: https://i.imgur.com/[TcO7uv.png

Steps to reproduce:

1. Save the above flag to the Game Data/Squad/flags folder.

2. Start Kerbal Space Program and either resume or create a new save file.

3. Launch a craft from the launch pad, before you start the mission, select the flag installed in step 1.
4. Look at the edges on the flag by the launch pad! D:

| haven't checked the other flags at KSC.

History

#1 - 02/22/2016 03:09 PM - Kasuha
- File screenshot27.png added
- File screenshot28.png added
- File screenshot29.png added
- File screenshot30.png added
- File screenshot24.png added

Attaching screenshots, both flags do the same thing but the effect does not seem to be very significant to me. The flag is effectively a prism and the
wrong parts of the texture are on its top and bottom surfaces.

At least the top texture also appears to be turned around (see fifth screenshot)

While fixing that, it might be nice to turn one or both flags so they both flap in the same direction.

#2 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 06/14/2019 10:43 PM - nestor
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Still happening in 1.7.2
